=== debian/changelog ===
plasma-desktop (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:19 +0100

plasma-desktop (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:47 +0000

plasma-desktop (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:54 +0000

plasma-desktop (4:5.18.1-0ubuntu1) focal; urgency=medium

  * debian/patches: Drop applied upstream_unlock-wigdets.patch
  * debian/patches: Drop applied upstream_fix-fonts-kcm-saving.patch
  * debian/control: plasma-desktop-data depend on python3.
  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:43 +0000

plasma-desktop (4:5.18.0-0ubuntu3) focal; urgency=medium

  * Add upstream restore saving/apply in the fonts KCM.
    https://bugs.kde.org/416358
    - debian/patches: upstream_fix-fonts-kcm-saving.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2020 13:50:42 +0000

plasma-desktop (4:5.18.0-0ubuntu2) focal; urgency=medium

  * Add unsteam patch to unlock widgets on upgrade.
    https://bugs.kde.org/show_bug.cgi?id=417424
    - debian/patches: upstream_unlock-widgets.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 15:54:55 +0000

plasma-desktop (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:02 +0000

plasma-desktop (4:5.17.90-0ubuntu3) focal; urgency=medium

  * debian/control: Drop no longer required depends on libcanberra-pulse

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jan 2020 14:54:49 +0000

plasma-desktop (4:5.17.90-0ubuntu2) focal; urgency=medium

  * Add plasma-desktop recommends ibus-data, required by new emoji-
    selector.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Jan 2020 08:35:54 +0000

plasma-desktop (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Update install files.
  * Move kcfg files to plasma-desktop-data.
  * Breaks/Replaces for knsrc files moved from kde-config-gtk-style
    package to plasma-desktop-data.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:59 +0000

plasma-desktop (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:34 +0000

plasma-desktop (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:51 +0000

plasma-desktop (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:37 +0000

plasma-desktop (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Remove qdebug categories file.
  * Update install files.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * Recommend plasma-thunderbolt
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:51 +0000
